#qrModal {
    display: none;
    opacity: 0;
}

.modal-background {
    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    padding: 0px;
    margin: 0px;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--background-modal);
    z-index: 2;

    transition: all 200ms ease-in-out;
}

.modal-background > .modal {
    width: 100%;
    padding: 32px;
    margin: 0px 24px;
    max-width: 504px;
    border-radius: 32px;
    background-color: var(--color-neutral-100);
}

.modal-background > .modal > .qr-modal-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
}

.modal-background > .modal > .qr-modal-header > h3 {
    text-align: left;
    color: var(--color-full-black);
}

.modal-background > .modal > .qr-modal-header + p {
    text-align: left;
    margin-top: 8px;
    color: var(--color-neutral-11-65);
}

.modal-background > .modal > .qr-modal-header > button {
    width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.modal-background > .modal > .qr-modal-header > button > img {
    width: 32px;
    height: 32px;
}

.modal-background > .modal > div.download-app-modal-qr-img-wrapper {
    width: 100%;
    margin: 24px 0px;
    display: flex;
    justify-content: center;
}

.modal-background > .modal > div.download-app-modal-qr-img-wrapper > img#downloadAppModalQrImg {
    width: 100%;
    max-width: 240px;
}


.modal-background > .modal > button.action-button {
    width: 100%;
    padding: 16px 0px;
}



